import { AfterViewInit, ElementRef, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
export declare class QMSInputClearDirective {
    el: ElementRef;
    inputDemo: any;
    inputDemoChange: any;
    constructor(el: ElementRef);
}
export declare class QMSSearchFieldDirective implements OnInit, AfterViewInit, OnChanges {
    private ele;
    private renderer;
    isLoading: any;
    constructor(ele: ElementRef, renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
